#include <iostream>

using namespace std;

int main()
{
    string rec;
    int broj1, broj2;
    cin >> rec;
    cin >> broj1 >> broj2;
    string slovo1 = rec.substr(0, 2 - 1);
    string slovo2 = rec.substr(1, 2 - 1);
    if (broj1 == broj2)
    {
        for (int i = 0; i < broj1; i++)
        {
            cout << rec;
        }
    }
    else if(broj1 + 1 == broj2 || broj1 == broj2 - 1)
    {
        while (broj1 > 0)
        {
            cout << slovo2 << slovo1;
            broj1 -= 1;
            broj2 -= 1;
        }
        if (broj2 == 1)
        {
            cout << slovo2;
        }

    }
    else if(broj2 + 1 == broj1 || broj2 == broj1 - 1)
    {
        while (broj2 > 0)
        {
            cout << slovo2 << slovo1;
            broj1 -= 1;
            broj2 -= 1;
        }
        if (broj1 == 1)
        {
            cout << slovo2;
        }
    }
    else
    {
        cout << "nemoguce";
    }

    return 0;
}